org.apache.solr.query

## Class SolrRangeQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.solr.search.ExtendedQueryBase
    - - org.apache.solr.query.SolrRangeQuery

- All Implemented Interfaces:
    DocSetProducer, ExtendedQuery

      public final class SolrRangeQuery
      extends ExtendedQueryBase
      implements DocSetProducer

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrRangeQuery(String field, BytesRef lower, BytesRef upper, boolean includeLower, boolean includeUpper)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocSet` | `createDocSet(SolrIndexSearcher searcher)`
    `Weight` | `createWeight(IndexSearcher searcher, boolean needScores)`
    `boolean` | `equals(Object obj)`
    `String` | `getField()`
    `TermsEnum` | `getTermsEnum(LeafReaderContext ctx)`
    `int` | `hashCode()`
    `boolean` | `includeLower()`
    `boolean` | `includeUpper()`
    `Query` | `rewrite(IndexReader reader)`
    `String` | `toString(String field)`

    - ### Methods inherited from class org.apache.solr.search.ExtendedQueryBase

      `getCache, getCacheSep, getCost, getOptions, getOptionsString, setCache, setCacheSep, setCost`

    - ### Methods inherited from class org.apache.lucene.search.Query

      `classHash, sameClassAs, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SolrRangeQuery

          public SolrRangeQuery(String field,
                                BytesRef lower,
                                BytesRef upper,
                                boolean includeLower,
                                boolean includeUpper)

  - ### Method Detail

    - #### getField

          public String getField()

    - #### includeLower

          public boolean includeLower()

    - #### includeUpper

          public boolean includeUpper()

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `Query`

    - #### equals

          public boolean equals(Object obj)

      Specified by:
        `equals` in class `Query`

    - #### toString

          public String toString(String field)

      Overrides:
        `toString` in class `ExtendedQueryBase`

    - #### rewrite

          public Query rewrite(IndexReader reader)
                        throws IOException

      Overrides:
        `rewrite` in class `Query`
      Throws:
        `IOException`

    - #### createWeight

          public Weight createWeight(IndexSearcher searcher,
                                     boolean needScores)
                              throws IOException

      Overrides:
        `createWeight` in class `Query`
      Throws:
        `IOException`

    - #### createDocSet

          public DocSet createDocSet(SolrIndexSearcher searcher)
                              throws IOException

      Specified by:
        `createDocSet` in interface `DocSetProducer`
      Throws:
        `IOException`

    - #### getTermsEnum

          public TermsEnum getTermsEnum(LeafReaderContext ctx)
                                 throws IOException

      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.